org.apache.trevni

## Interface Input

All Superinterfaces:
  AutoCloseable, Closeable

All Known Implementing Classes:
  InputBytes, InputFile

    public interface Input
    extends Closeable

A byte source that supports positioned read and length.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `length()` Return the total length of the input.
`int` `read(long position, byte[] b, int start, int len)` Positioned read.

### Methods inherited from interface java.io.Closeable

`close`

### Method Detail

#### length

    long length()
         throws IOException

Return the total length of the input.

Throws:
  `IOException`

#### read

    int read(long position,
             byte[] b,
             int start,
             int len)
      throws IOException

Positioned read.

Throws:
  `IOException`